Retrieve a statement by ID.
GET
ApiKeyheader
AuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringObject ID (UUID)
Format
uuidOK
application/json- response
format?stringStatement format, available formats: csv, xlsx.
Length
length <= 32timezone?stringTimezone to localize statement-specific timestamps
Format
TZ database nameis_test?booleanIndicates this is a test object, created using test API keys or using Billing section of UI while in test mode.
company_uid?stringID of the Company.
Format
uuidquery_string?stringQuery parameters used to generate statement.
status?stringStatus of statement generation e.g. pending, processing, success.
download_url?stringDownload URL of a statement.
began_on?integerDate and time for the beginning of statement generation process.
Format
Unix timestamp (seconds)finished_on?integerDate and time for finishing the statement generation process.
Format
Unix timestamp (seconds)created_on?integerObject creation time
Format
Unix timestamp (seconds)updated_on?integerObject last modification time
Format
Unix timestamp (seconds)type?stringStatement request type
id?stringID of a statement
Format
uuidcurl -X GET 'https://gate.reviopay.com/api/v1/company_statements/497f6eca-6276-4993-bfeb-53cbbbba6f08/'Example Response
{ "format": "string", "timezone": "Europe/Oslo", "is_test": true, "company_uid": "1b37ed80-aa86-439a-a1c4-9db2cd6f47e6", "query_string": "string", "status": "string", "download_url": "string", "began_on": 1619740800, "finished_on": 1619740800, "created_on": 1619740800, "updated_on": 1619740800, "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}